package controller

import (
	"campaign-pool-be/app/module/campaigns/service"
	"github.com/rs/zerolog"
)

type Controller struct {
	Campaigns CampaignsController
}

func NewController(CampaignsService service.CampaignsService, log zerolog.Logger) *Controller {
	return &Controller{
		Campaigns: NewCampaignsController(CampaignsService, log),
	}
}

